<?php
/**
 * @file
 * feature_articles.panelizer.inc
 */

/**
 * Implements hook_panelizer_defaults().
 */
function feature_articles_panelizer_defaults() {
  $export = array();

  $panelizer = new stdClass();
  $panelizer->disabled = FALSE; /* Edit this to true to make a default panelizer disabled initially */
  $panelizer->api_version = 1;
  $panelizer->name = 'node:article:default';
  $panelizer->title = 'Default';
  $panelizer->panelizer_type = 'node';
  $panelizer->panelizer_key = 'article';
  $panelizer->no_blocks = TRUE;
  $panelizer->css_id = '';
  $panelizer->css = '';
  $panelizer->pipeline = 'ipe';
  $panelizer->contexts = array();
  $panelizer->relationships = array();
  $panelizer->access = array();
  $panelizer->view_mode = 'page_manager';
  $panelizer->css_class = '';
  $panelizer->title_element = 'H2';
  $panelizer->link_to_entity = TRUE;
  $panelizer->extra = array();
  $display = new panels_display();
  $display->layout = 'threecol_25_50_25_stacked';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'top' => NULL,
      'left' => NULL,
      'middle' => NULL,
      'right' => NULL,
      'bottom' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '%node:title';
  $display->uuid = 'c046d02f-f6f4-4898-8781-c7f0a34e788f';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-7b017614-e527-4cf7-8f5f-9d4c6e8e13a8';
    $pane->panel = 'bottom';
    $pane->type = 'views_panes';
    $pane->subtype = 'recent_articles-panel_pane_2';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'items_per_page' => '3',
    );
    $pane->cache = array();
    $pane->style = array();
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '7b017614-e527-4cf7-8f5f-9d4c6e8e13a8';
    $display->content['new-7b017614-e527-4cf7-8f5f-9d4c6e8e13a8'] = $pane;
    $display->panels['bottom'][0] = 'new-7b017614-e527-4cf7-8f5f-9d4c6e8e13a8';
    $pane = new stdClass();
    $pane->pid = 'new-791ddec3-08b4-4adf-b7fd-eb734e7603d2';
    $pane->panel = 'bottom';
    $pane->type = 'node_comments';
    $pane->subtype = 'node_comments';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'mode' => '1',
      'comments_per_page' => '50',
      'context' => 'panelizer',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array();
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '791ddec3-08b4-4adf-b7fd-eb734e7603d2';
    $display->content['new-791ddec3-08b4-4adf-b7fd-eb734e7603d2'] = $pane;
    $display->panels['bottom'][1] = 'new-791ddec3-08b4-4adf-b7fd-eb734e7603d2';
    $pane = new stdClass();
    $pane->pid = 'new-6c0e85c1-232c-4345-b2cc-fee1b7635d10';
    $pane->panel = 'bottom';
    $pane->type = 'node_comment_form';
    $pane->subtype = 'node_comment_form';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'anon_links' => 0,
      'context' => 'panelizer',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array();
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '6c0e85c1-232c-4345-b2cc-fee1b7635d10';
    $display->content['new-6c0e85c1-232c-4345-b2cc-fee1b7635d10'] = $pane;
    $display->panels['bottom'][2] = 'new-6c0e85c1-232c-4345-b2cc-fee1b7635d10';
    $pane = new stdClass();
    $pane->pid = 'new-3c64ab9f-8c0e-4594-8ae3-3bbfe741c46f';
    $pane->panel = 'left';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_image';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'hidden',
      'formatter' => 'image',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(
        'image_style' => 'medium',
        'image_link' => '',
      ),
      'context' => 'panelizer',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'style' => 'default',
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '3c64ab9f-8c0e-4594-8ae3-3bbfe741c46f';
    $display->content['new-3c64ab9f-8c0e-4594-8ae3-3bbfe741c46f'] = $pane;
    $display->panels['left'][0] = 'new-3c64ab9f-8c0e-4594-8ae3-3bbfe741c46f';
    $pane = new stdClass();
    $pane->pid = 'new-628bf5e4-4256-42b2-af91-cef78b610614';
    $pane->panel = 'middle';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:body';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'hidden',
      'formatter' => 'text_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'panelizer',
    );
    $pane->cache = array();
    $pane->style = array(
      'style' => 'default',
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '628bf5e4-4256-42b2-af91-cef78b610614';
    $display->content['new-628bf5e4-4256-42b2-af91-cef78b610614'] = $pane;
    $display->panels['middle'][0] = 'new-628bf5e4-4256-42b2-af91-cef78b610614';
    $pane = new stdClass();
    $pane->pid = 'new-f97b7126-69d6-47a5-9f8f-b1f86f273ddf';
    $pane->panel = 'middle';
    $pane->type = 'node_links';
    $pane->subtype = 'node_links';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => FALSE,
      'override_title_text' => '',
      'build_mode' => 'page_manager',
      'identifier' => '',
      'link' => TRUE,
      'context' => 'panelizer',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_class' => 'link-wrapper',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'f97b7126-69d6-47a5-9f8f-b1f86f273ddf';
    $display->content['new-f97b7126-69d6-47a5-9f8f-b1f86f273ddf'] = $pane;
    $display->panels['middle'][1] = 'new-f97b7126-69d6-47a5-9f8f-b1f86f273ddf';
    $pane = new stdClass();
    $pane->pid = 'new-f571a516-576f-4e48-b8e4-b8bd6a802c36';
    $pane->panel = 'right';
    $pane->type = 'block';
    $pane->subtype = 'comment-recent';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'style' => 'default',
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'f571a516-576f-4e48-b8e4-b8bd6a802c36';
    $display->content['new-f571a516-576f-4e48-b8e4-b8bd6a802c36'] = $pane;
    $display->panels['right'][0] = 'new-f571a516-576f-4e48-b8e4-b8bd6a802c36';
    $pane = new stdClass();
    $pane->pid = 'new-5e8c409e-0dce-4c16-82e4-46296820e8ba';
    $pane->panel = 'right';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_category';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'taxonomy_term_reference_link',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'panelizer',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '5e8c409e-0dce-4c16-82e4-46296820e8ba';
    $display->content['new-5e8c409e-0dce-4c16-82e4-46296820e8ba'] = $pane;
    $display->panels['right'][1] = 'new-5e8c409e-0dce-4c16-82e4-46296820e8ba';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-628bf5e4-4256-42b2-af91-cef78b610614';
  $panelizer->display = $display;
  $export['node:article:default'] = $panelizer;

  return $export;
}
